Skip to main content
GET
/
{chain_id}
/
api
/
v2
/
transactions
/
{transaction_hash_param}
Retrieve detailed information about a specific transaction
curl --request GET \
  --url https://api.blockscout.com/{chain_id}/api/v2/transactions/{transaction_hash_param} \
  --header 'Authorization: Bearer <token>'
{
  "authorization_list": [
    {
      "address_hash": "<string>",
      "authority": "<string>",
      "chain_id": 123,
      "nonce": "<string>",
      "r": "<string>",
      "s": "<string>",
      "v": 123
    }
  ],
  "base_fee_per_gas": "<string>",
  "block_number": 123,
  "confirmation_duration": [
    1000,
    2000
  ],
  "confirmations": 1,
  "created_contract": {
    "ens_domain_name": "<string>",
    "hash": "<string>",
    "implementations": [
      {
        "address_hash": "<string>",
        "name": "<string>"
      }
    ],
    "is_contract": true,
    "is_scam": true,
    "is_verified": true,
    "metadata": {
      "tags": [
        {
          "meta": {},
          "name": "<string>",
          "ordinal": 123,
          "slug": "<string>",
          "tagType": "<string>"
        }
      ]
    },
    "name": "<string>",
    "private_tags": [
      {
        "address_hash": "<string>",
        "display_name": "<string>",
        "label": "<string>"
      }
    ],
    "public_tags": [
      {
        "address_hash": "<string>",
        "display_name": "<string>",
        "label": "<string>"
      }
    ],
    "watchlist_names": [
      {
        "display_name": "<string>",
        "label": "<string>"
      }
    ]
  },
  "decoded_input": {
    "method_call": "<string>",
    "method_id": "<string>",
    "parameters": [
      {
        "name": "<string>",
        "type": "<string>",
        "value": {}
      }
    ]
  },
  "exchange_rate": "<string>",
  "fee": {
    "value": "<string>"
  },
  "fhe_operations_count": 123,
  "from": {
    "ens_domain_name": "<string>",
    "hash": "<string>",
    "implementations": [
      {
        "address_hash": "<string>",
        "name": "<string>"
      }
    ],
    "is_contract": true,
    "is_scam": true,
    "is_verified": true,
    "metadata": {
      "tags": [
        {
          "meta": {},
          "name": "<string>",
          "ordinal": 123,
          "slug": "<string>",
          "tagType": "<string>"
        }
      ]
    },
    "name": "<string>",
    "private_tags": [
      {
        "address_hash": "<string>",
        "display_name": "<string>",
        "label": "<string>"
      }
    ],
    "public_tags": [
      {
        "address_hash": "<string>",
        "display_name": "<string>",
        "label": "<string>"
      }
    ],
    "watchlist_names": [
      {
        "display_name": "<string>",
        "label": "<string>"
      }
    ]
  },
  "gas_limit": "<string>",
  "gas_price": "<string>",
  "gas_used": "<string>",
  "has_error_in_internal_transactions": true,
  "hash": "<string>",
  "historic_exchange_rate": "<string>",
  "is_pending_update": true,
  "max_fee_per_gas": "<string>",
  "max_priority_fee_per_gas": "<string>",
  "method": "transfer",
  "nonce": 1,
  "position": 1,
  "priority_fee": "<string>",
  "raw_input": "<string>",
  "revert_reason": {
    "method_call": "<string>",
    "method_id": "<string>",
    "parameters": [
      {
        "name": "<string>",
        "type": "<string>",
        "value": {}
      }
    ]
  },
  "timestamp": "2023-11-07T05:31:56Z",
  "to": {
    "ens_domain_name": "<string>",
    "hash": "<string>",
    "implementations": [
      {
        "address_hash": "<string>",
        "name": "<string>"
      }
    ],
    "is_contract": true,
    "is_scam": true,
    "is_verified": true,
    "metadata": {
      "tags": [
        {
          "meta": {},
          "name": "<string>",
          "ordinal": 123,
          "slug": "<string>",
          "tagType": "<string>"
        }
      ]
    },
    "name": "<string>",
    "private_tags": [
      {
        "address_hash": "<string>",
        "display_name": "<string>",
        "label": "<string>"
      }
    ],
    "public_tags": [
      {
        "address_hash": "<string>",
        "display_name": "<string>",
        "label": "<string>"
      }
    ],
    "watchlist_names": [
      {
        "display_name": "<string>",
        "label": "<string>"
      }
    ]
  },
  "token_transfers": [
    {
      "block_hash": "<string>",
      "block_number": 123,
      "from": {
        "ens_domain_name": "<string>",
        "hash": "<string>",
        "implementations": [
          {
            "address_hash": "<string>",
            "name": "<string>"
          }
        ],
        "is_contract": true,
        "is_scam": true,
        "is_verified": true,
        "metadata": {
          "tags": [
            {
              "meta": {},
              "name": "<string>",
              "ordinal": 123,
              "slug": "<string>",
              "tagType": "<string>"
            }
          ]
        },
        "name": "<string>",
        "private_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "public_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "<string>",
            "label": "<string>"
          }
        ]
      },
      "log_index": 123,
      "method": "transfer",
      "timestamp": "2023-11-07T05:31:56Z",
      "to": {
        "ens_domain_name": "<string>",
        "hash": "<string>",
        "implementations": [
          {
            "address_hash": "<string>",
            "name": "<string>"
          }
        ],
        "is_contract": true,
        "is_scam": true,
        "is_verified": true,
        "metadata": {
          "tags": [
            {
              "meta": {},
              "name": "<string>",
              "ordinal": 123,
              "slug": "<string>",
              "tagType": "<string>"
            }
          ]
        },
        "name": "<string>",
        "private_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "public_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "<string>",
            "label": "<string>"
          }
        ]
      },
      "token": {
        "address_hash": "<string>",
        "circulating_market_cap": "<string>",
        "circulating_supply": "<string>",
        "decimals": "<string>",
        "exchange_rate": "<string>",
        "holders_count": "<string>",
        "icon_url": "https://example.com",
        "name": "<string>",
        "symbol": "<string>",
        "total_supply": "<string>",
        "volume_24h": "<string>",
        "foreign_address": "<string>",
        "origin_chain_id": "<string>"
      },
      "total": {
        "token_id": "<string>",
        "token_instance": {
          "animation_url": "https://example.com",
          "external_app_url": "https://example.com",
          "id": "<string>",
          "image_url": "https://example.com",
          "is_unique": true,
          "media_type": "image/png",
          "media_url": "https://example.com",
          "metadata": {
            "description": "Test",
            "image": "https://example.com/image.png",
            "name": "Test"
          },
          "owner": {
            "ens_domain_name": "<string>",
            "hash": "<string>",
            "implementations": [
              {
                "address_hash": "<string>",
                "name": "<string>"
              }
            ],
            "is_contract": true,
            "is_scam": true,
            "is_verified": true,
            "metadata": {
              "tags": [
                {
                  "meta": {},
                  "name": "<string>",
                  "ordinal": 123,
                  "slug": "<string>",
                  "tagType": "<string>"
                }
              ]
            },
            "name": "<string>",
            "private_tags": [
              {
                "address_hash": "<string>",
                "display_name": "<string>",
                "label": "<string>"
              }
            ],
            "public_tags": [
              {
                "address_hash": "<string>",
                "display_name": "<string>",
                "label": "<string>"
              }
            ],
            "watchlist_names": [
              {
                "display_name": "<string>",
                "label": "<string>"
              }
            ]
          },
          "thumbnails": {
            "original": "<string>",
            "250x250": "<string>",
            "500x500": "<string>",
            "60x60": "<string>"
          },
          "token": {
            "address_hash": "<string>",
            "circulating_market_cap": "<string>",
            "circulating_supply": "<string>",
            "decimals": "<string>",
            "exchange_rate": "<string>",
            "holders_count": "<string>",
            "icon_url": "https://example.com",
            "name": "<string>",
            "symbol": "<string>",
            "total_supply": "<string>",
            "volume_24h": "<string>",
            "foreign_address": "<string>",
            "origin_chain_id": "<string>"
          },
          "value": "<string>"
        }
      },
      "transaction_hash": "<string>"
    }
  ],
  "token_transfers_overflow": true,
  "transaction_burnt_fee": "<string>",
  "transaction_tag": "personal",
  "transaction_types": [],
  "type": 123,
  "value": "<string>",
  "arbitrum": {
    "gas_used_for_l1": "<string>",
    "gas_used_for_l2": "<string>",
    "network_fee": "<string>",
    "poster_fee": "<string>",
    "batch_data_container": "<string>",
    "batch_number": 123,
    "commitment_transaction": {
      "hash": "<string>",
      "timestamp": "2023-11-07T05:31:56Z"
    },
    "confirmation_transaction": {
      "hash": "<string>",
      "timestamp": "2023-11-07T05:31:56Z"
    },
    "message_related_info": {
      "associated_l1_transaction_hash": "<string>",
      "message_id": 123
    }
  }
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

transaction_hash_param
string
required

Transaction hash in the path

Pattern: ^0x([A-Fa-f0-9]{64})$
chain_id
string
required

The ID of the blockchain

Response

Detailed information about the specified transaction.

Transaction response

authorization_list
SignedAuthorization · object[] | null
required
base_fee_per_gas
string | null
required
Pattern: ^-?([1-9][0-9]*|0)$
block_number
integer | null
required
confirmation_duration
integer[]
required

Array of time intervals in milliseconds. Can be empty [] (no info), single value [interval] (means that the transaction was confirmed within {interval} milliseconds), or two values [short_interval, long_interval] (means that the transaction's confirmation took from {short_interval} to {long_interval} milliseconds)

Maximum array length: 2

Duration in milliseconds

Required range: x >= 0
Example:
[1000, 2000]
confirmations
integer
required
Required range: x >= 0
created_contract
Address · object
required

Address

decoded_input
DecodedInput · object
required
exchange_rate
string | null
required
Pattern: ^([1-9][0-9]*|0)(\.[0-9]+)?$
fee
Fee · object
required
fhe_operations_count
integer
required

Number of FHE (Fully Homomorphic Encryption) operations in the transaction

from
Address · object
required

Address

gas_limit
string
required
Pattern: ^-?([1-9][0-9]*|0)$
gas_price
string | null
required
Pattern: ^-?([1-9][0-9]*|0)$
gas_used
string | null
required
Pattern: ^-?([1-9][0-9]*|0)$
has_error_in_internal_transactions
boolean | null
required
hash
string
required
Pattern: ^0x([A-Fa-f0-9]{64})$
historic_exchange_rate
string | null
required
Pattern: ^([1-9][0-9]*|0)(\.[0-9]+)?$
is_pending_update
boolean | null
required
max_fee_per_gas
string | null
required
Pattern: ^-?([1-9][0-9]*|0)$
max_priority_fee_per_gas
string | null
required
Pattern: ^-?([1-9][0-9]*|0)$
method
string | null
required

Method name or hex method id

Example:

"transfer"

nonce
integer
required
Required range: x >= 0
position
integer | null
required
Required range: x >= 0
priority_fee
string | null
required
Pattern: ^-?([1-9][0-9]*|0)$
raw_input
string
required
Pattern: ^0x([A-Fa-f0-9]*)$
result
required
Available options:
pending,
awaiting_internal_transactions,
success,
dropped/replaced
revert_reason
DecodedInput · object
required
status
enum<string> | null
required
Available options:
ok,
error
timestamp
string<date-time> | null
required
to
Address · object
required

Address

token_transfers
TokenTransfer · object[] | null
required
token_transfers_overflow
boolean | null
required
transaction_burnt_fee
string | null
required
Pattern: ^-?([1-9][0-9]*|0)$
transaction_tag
string | null
required

Transaction tag set in My Account

Example:

"personal"

transaction_types
enum<string>[]
required
Available options:
coin_transfer,
contract_call,
contract_creation,
rootstock_bridge,
rootstock_remasc,
token_creation,
token_transfer,
blob_transaction,
set_code_transaction
type
integer | null
required
value
string
required
Pattern: ^-?([1-9][0-9]*|0)$
arbitrum
object